Subject: bug#8694: Configure on mips

From: Stefano Lattarini <[email-masked]>
Date: Sun, 08 Jan 2012 10:36:11 +0100

tags 8694 + moreinfo
tags 8694 + notabug
close 8694
thanks

Reference:
  <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8694>

On 05/19/2011 05:47 AM, Daniel Herring wrote:
> On Wed, 18 May 2011, James William Cronin wrote:
> 
>> When running automake generated configure scripts on an embeded mips
>> based moded box (the Humax HD T2) - see www.hummypkg.org the generated
>> make files contain a two letter addition to all variables followed by
>> an @. (e.g. LL@, KK@ ir@ etc) The two additional letters seem to have
>> some (although not uniformaly) resembelance to the preceding text.
>>
>> Its basicly running busybox ontop of linux kernal 2.6.18
>>
>> I am only passing --build=mips-unknown-linux-gnu to the scrip.
> 
> Configure scripts are made by autoconf, not automake...
> 
> Look in a Makefile.in (next to a Makefile).  Does it have messed up
> variables?  If so, then automake is the culprit.  If not, then I'd
> guess the sed magic in config.status is messed up.
>
> For an automake problem, the output of 'automake --version' would help.
> For a configure problem, the output of './configure --version' would
> help.
> 
> It also wasn't clear whether you are running autoconf and automake on
> the mips box or simply running ./configure and make.
> 
> - Daniel
> 
No answer after several months, so I assume with Daniel that the problem
was either an usage error or an autoconf issue (I'm CC:ing bug-autoconf
in case they are interested in taking a deeper look into the this).

I'm closing this bug report for what concerns automake.  Feel free to
re-open it if you still have reasons to suspect automake is the culprit
here.

Thanks,
  Stefano